// JavaScript Document

// CDN does not contain ending slash
if (location.protocol != 'https:') {
  // If we are not on a secure url, handle the cdn prefix as usual
  CDN = ( window.Drupal && Drupal.settings && Drupal.settings.cdnpath || location.protocol + '//cdn-' + (/\..*\..*/.test(location.host)?location.host:"www."+location.host) ).replace(/\/$/,'');
}
else {
  // If we are on a secure url, remove the cdn prefix
  CDN = ( window.Drupal && Drupal.settings && Drupal.settings.cdnpath || location.protocol + '//' + (/\..*\..*/.test(location.host)?location.host:"www."+location.host) ).replace(/\/$/,'');
}

if(!window.Modernizr){
  Modernizr =
  { borderimage: (function(){
      var i, props = " Khtml ms O Moz Webkit borderImage".replace(/ /g,'BorderImage ').split(" ")
        , style = document.createElement('div').style;
      for( i=props.length; i-->0; ){
        if( style[ props[i] ] !== undefined ){
          return true;
        }
      }
      return false;
    })()
  };
  document.documentElement.className += (Modernizr.borderimage?" borderimage":" no-borderimage");
}

// Slice elements as needed
slice =
{ elem: function(obj,wrap,pre,post,fn){
    var self = $(obj);
    if( !Modernizr.borderimage && !self.is(".sliced") ){ //double-check
      if( !self.children().is(".inner") ){ $(this).wrapInner('<div class="inner"></div>'); }
      self.addClass("sliced outer").wrapInner(wrap).prepend(pre);
      if(post){ self.append(post); }
      if(fn){ fn(self); }
    }
  }
, width: function(){
    slice.elem( this
    , '<div class="center"></div>'
    , '<div class="left"><div class="bg"></div></div><div class="right"><div class="bg"></div></div>'
    );
  }
, height: function(){
    slice.elem( this
    , '<div class="middle"></div>'
    , '<div class="IEtop"></div><div class="top"><div class="bg"></div></div><div class="bottom"><div class="bg"></div></div>'
    , '<div class="IEbottom"></div>'
    );
  }
, all: function(){
    slice.elem( this
    , '<div class="middle"><div class="center"></div></div>'
    , '<div class="IEtop"></div><div class="top"><div class="left"><div class="bg"></div></div><div class="right"><div class="bg"></div></div><div class="center"><div class="bg"></div></div></div><div class="bottom"><div class="left"><div class="bg"></div></div><div class="right"><div class="bg"></div></div><div class="center"><div class="bg"></div></div></div>'
    , '<div class="IEbottom"></div>'
    , function(self){ self.find(">.middle").prepend('<div class="left"><div class="bg"></div></div><div class="right"><div class="bg"></div></div>') }
    );
  }
, list:
  { width: [".sliceWidth"]
  , height: [".sliceHeight"]
  , all: [".sliceAll"]
  }
, elements: function(){
    for(var type in slice.list){
      if( slice.list.hasOwnProperty(type) ){
        $.each( slice.list[ type ], function(i,fn){
          $(fn).not(".sliced").each( slice[ type ] );
        });
      }
    }
  }
};


$(document).ready(function() {

  /** External links **/
  // White listed URLs
  exceptionArray = ['swtor.com',
                    'account.swtor.com',
                    'www.swtor.com',
                    'cdn-client.swtor.com',
                    'swtor.lockbox.ea.com',
                    'origin.com',
                    'www.origin.com',
                    'bioware.com',
                    'www.bioware.com',
                    'www.ea.com'
                    ];
                   
  sitehref = document.domain;
  // The domain of the site you are currently on and the cdn of that site should be white listed (for dev environments)
  exceptionArray.push(sitehref);
  exceptionArray.push('cdn-' + sitehref.replace("account.",""));
  exceptionArray.push('cdn-client.' + sitehref.replace("account.",""));
  // A popup shouldn't happen for links to anchors, relative links or javascript links
  linkRegex = /^[\/#]|^javascript:;|^javascript:swtorBookmark\('browser'|^javascript:history/;

  // Fix ICQ links to make them act the same on the friends and contact info tab
  $("a.icq").each(function(){
    icqonclick = $(this).attr("onclick");
    $(this).attr("onclick", "");
    if ($.browser.msie){
      icqnum = icqonclick.toString().match(/imwindow\('icq', '(\d+)'\)/)[1];
    } else {
      icqnum = icqonclick.toString().match(/imwindow\("icq", "(\d+)"\)/)[1];
    }
    linkhref = "javascript:imwindow('icq', " + icqnum + ")";
    $(this).attr("href", linkhref);
  });

  externalPopup = function(){
    
    // If we ever need an external link to not spawn a window check we can use the class externalLink
    if (this.href && !$(this).is("a.externalLink")){
      if (this.href.match(/^(http|https):\/\/([^\/]+)/)){
        // Grab the domain portion of the link
        linkhref = this.href.match(/^(http|https):\/\/([^\/]+)/)[2];
      } else if (this.href.match(/^mailto:[^\@]+\@([^\@]+)$/)){
        // Grab the domain portion of the mailto
        linkhref = this.href.match(/^mailto:[^\@]+\@([^\@]+)$/)[1];
      } else{
        linkhref = this.href;
      }
      if(jQuery.inArray(linkhref, exceptionArray) === -1 && !linkhref.match(linkRegex)){       
        var el = $("a.fakelink");
        el.fancybox({
          'showCloseButton'   : false,
          'titleShow'         : false,
          'padding'           : 0,
          'autoScale'         : false,
          'scrolling'         : 'no',
          'overlayColor'      : '#090D1D',
          'overlayOpacity'    : 0.8,
          'centerOnScroll'    : true,
          'content'           : $("#externalLinkPopup").parent().html(),
          'onComplete'        : blueBgShow,
          'onClosed'          : blueBgHide
        }).trigger('click');
        // Set the text for the link inside the lightbox
        $("#externalLinkPopup a.externalLink").text(this.href).attr("href", this.href);
        if($(this).attr("target") == '_blank'){
          $("a.externalLink").attr("target", $(this).attr("target")).bind("click", function(){
            setTimeout($.fancybox.close, 50);
          });
        }
        // The bookmark and share links don't close because they're pop-ups instead of in-page so we'll force a close
        if (this.href.match(/^javascript:swtorBookmark/)){
          $("#externalLinkPopup a.externalLink").bind("click", function(){
            setTimeout($.fancybox.close, 50);
          });
        }
        // ICQ windows spawn directly where no other im windows do so we need to bind that to the popup
        if (this.href.match(/javascript:imwindow\('icq'/)){
          $("#externalLinkPopup a.externalLink").bind("click", function(){
            icqonclick();
            return false;
          }).click(function(){$.fancybox.close()});
        }
        $("a.closeMessage").click(function(){ $.fancybox.close(); return false; });
        return false;
      } else {
        return true;
      }
    } else {
      return true;
    }
  };
  
  $("a").live("click", externalPopup);

  /** clear password fields on reset password page **/
  $("input[type=password]",$("#password-change-form")).val('');
  
  /** Table Stripes **/
  $(".stripeMe tr:odd").addClass("alt");
  $(".stripeMeEven tr:even").addClass("alt");
  
  /** User Submit Form **/
  $("#user-login-form").submit(function() { 
    omniLinkCall(this,'Sign Up Clicks per page'); 
    return true;
  });
  if ($(".username").attr("value")!="")
    $(".username").css({ background: "url(" + CDN + swtor_theme_loc + "assets/usernameFocus.gif) top left no-repeat" });
    
  if ($(".password").attr("value")!="")
    $(".password").css({ background: "url(" + CDN + swtor_theme_loc + "assets/usernameFocus.gif) top left no-repeat" });
        
  $("input").focus(function () {
    if ($(this).attr("name") == "name")
      $(".username").css({ background: "url(" + CDN + swtor_theme_loc + "assets/usernameFocus.gif) top left no-repeat" });
    if ($(this).attr("name") == "pass")
      $(".password").css({ background: "url(" + CDN + swtor_theme_loc + "assets/passwordFocus.gif) top left no-repeat" });
    });
  
  $("input").blur(function () {
    var assetPath = CDN + '/sites/all/themes/swtor/';
    switch (pathPrefix) {
      case 'de': assetPath = '/sites/all/themes/swtor/de/'; break; //German
      case 'fr': assetPath = '/sites/all/themes/swtor/fr/'; break; //French
    }
    if ($(this).attr("name") == "name")
    {
      if ($(this).attr("value")=="")
        $(".username").css({ background: "url("+ assetPath + "assets/usernameBlur.gif) top left no-repeat" });
    }
    if ($(this).attr("name") == "pass")
    {
      if ($(this).attr("value")=="")
        $(".password").css({ background: "url("+ assetPath + "assets/passwordBlur.gif) top left no-repeat" });
    }
  });

  var errorMessage = '';
  var isDrupal = typeof(Drupal) != 'undefined';
  var loginInfo = $("#loginInfo");
  if(loginInfo.length) {
    var loginInfoTop = +loginInfo.show().css("top").match(/\d+/)[0];
    loginInfo.hide();
    $("#headerContent div.registration").hover(function() {
      if(loginInfo.is(":hidden")){
        loginInfo.stop().css({top:loginInfoTop-15,opacity:0}).show().animate({top:loginInfoTop,opacity:1},150);
      }
    }, function () {
      if (( isDrupal && !Drupal.settings.swtor_login_error_dropdown[0]) || errorMessage == '' )
        loginInfo.stop().animate({top:loginInfoTop-15,opacity:0},150,function(){ loginInfo.hide(); });
    });
    if ((isDrupal && Drupal.settings.swtor_login_error_dropdown[0]) || errorMessage != '')
      loginInfo.css({top:loginInfoTop-15,opacity:0}).show().animate({top:loginInfoTop,opacity:1},150);
  }
  
  /* on vBulletin side, submit form using ajax.  if valid, refresh page to show login bar,  if invalid, show error message*/
  var errorMessage = '';
  $("#login_submit").click(function(){
    $("#loginInfo").slideUp();
    var username = $("#name").val();
    var password = $("#pass").val();
    // localize the login callback
    switch (pathPrefix) {
      case 'fr':
        loginPath = '/fr/vbulletinlogin';
        break;
      case 'de':
        loginPath = '/de/vbulletinlogin';
        break;
      default:
        loginPath = '/vbulletinlogin';
        break;
    }
    $.post(loginPath, {name: username, pass: password},
    function(data){
      errorMessage = data.message;
      $("#loginErrorMessage").html(errorMessage);
      if (!errorMessage) {
        if (data.redirect) {
          window.location.href = data.redirect;
        } else {
          window.location.reload( true );
        }
      } else {
        $("#loginInfo").slideDown();
      }
    }, "json");
  });
  /* for anonymous user's to log in before commenting */
  $("#loginAtTop").click(function(){
    var url = $("#headerContent .login").closest("a").attr('href');
    if(url){ location=url; }
    return false;
  });
  $("a.loginBtn").click(function(){
    var url = $("#headerContent .login").closest("a").attr('href');
    if(url){ location=url; }
    return false;
  });
  
  var currTime = new Date().toUTCString();
  var timeObj = "unix: " + Date.parse(currTime) + " UTCString: " + currTime;
  createCookie("systemTime", timeObj);
  
  /** Community section specific JS **/
  if (document.location.pathname.search(/\/community\//) != -1 ){
    $("tr.vbmenu_homepage td").bind("mouseover", function(){
      this.onclick=function(){};
      $(this).children("a").each(function(){
        $(this).click(function(){
          $(this).clone().hide().appendTo("body").click();
          return false;
        });
      });
      $(this).click(function(e){
        // Prevents an infinite loop by ignoring bubbling
        if(e.target==this){
          $(this).children("a").click();
        }
      });
    });
    
    var pathname = document.location.pathname.split(/\//);
    if($.browser.msie){
      pathname = pathname[0];
    } else {
      pathname = pathname[1];
    }
    
    var langcookie = readCookie('bblanguageid');

    switch(pathname){
      case "community":
        if (langcookie != 1){
          createCookie('bblanguageid', '1', 2);
          if(!document.location.search.match(/\?do=(post|update)/)){location.href = document.location.href;}
        }
        navhtml = "/html/nav";
        $('.spoilerButton').click(function() {
          if ($("input.spoilerButton").hasClass("show")) {
	          $(".spoilerButton").removeClass("show");
	          $(".spoilerButton").addClass("hide");
	          $(".hide").val("Hide");
          } else {
            $(".spoilerButton").removeClass("hide");
            $(".spoilerButton").addClass("show");
            $(".show").val("Show");
          }
        });
        break;
      case "fr":
        if (langcookie != 2){
          createCookie('bblanguageid', '2', 2);
          if(!document.location.search.match(/\?do=(post|update)/)){location.href = document.location.href;}
        }
        navhtml = "/fr/html/nav";
        $(".spoilerButton.show").val("Afficher");
        $('.spoilerButton').click(function() {
          if ($("input.spoilerButton").hasClass("show")) {
	          $(".spoilerButton").removeClass("show");
	          $(".spoilerButton").addClass("hide");
	          $(".hide").val("Cacher");
          } else {
            $(".spoilerButton").removeClass("hide");
            $(".spoilerButton").addClass("show");
            $(".show").val("Afficher");
          }
        });
        break;
      case "de":
        if (langcookie != 3){
          createCookie('bblanguageid', '3', 2);
          if(!document.location.search.match(/\?do=(post|update)/)){location.href = document.location.href;}
        }
        navhtml = "/de/html/nav";
        $(".spoilerButton.show").val("Zeigen");
        $('.spoilerButton').click(function() {
          if ($("input.spoilerButton").hasClass("show")) {
  	        $(".spoilerButton").removeClass("show");
  	        $(".spoilerButton").addClass("hide");
  	        $(".hide").val("Verbergen");
          } else {
  	        $(".spoilerButton").removeClass("hide");
  	        $(".spoilerButton").addClass("show");
  	        $(".show").val("Zeigen");
          }
        });
        break;
    }
    
    $.get(navhtml, function(data){
      // Stuff the results into the dom to use find
      $("#navContent").html(data);
      if (!document.location.href.match(/member\.php/)) {
        var links = $("#navContent").find("#account-links").html(); 
        $("#sideContent .sideContentBody .contentPadding").html(links);
      }
      var header = $("#navContent").find("#header").html();
      $("#navContent").html(header);
      superMenu();
      if (oldIE()) {
        $(document).ready(function(){ IEHoverPseudo() });
      }
      setLang();
    }, "html");
    if ($("#showpostSelector").val() != 0){
      $("#showpostFakeSelector").toggleClass("swp");
    }
    
    // As soon as the header html has loaded append the fan kit update date if the user needs it
    header_wait();

    /* forum search type selector */
    $("#showpostSelector").hide();
    $("#showpostFakeSelector").show();
    if(oldIE()){
      // IE 6 doesn't work correctly so to resolve that 
      $("#showpostFakeSelector").css({"overflow" : "hidden", "background-position" : "top left"});
      $("#showpostFakeSelector").hover(function(){
        $(this).css({"overflow" : "visible", "background-position" : "bottom left"});
      },function(){
        $(this).css({"overflow" : "hidden", "background-position" : "top left"});
      });
    }
    
    $("#showpostFakeSelector a#postSelect").click(function(){
      $("#showpostFakeSelector").toggleClass("swp");
      if ($("#showpostSelector").val() == 0){
        $("#showpostSelector").attr("value","1");
      } else {
        $("#showpostSelector").attr("value","0");
      }
      return false;
    });
    
    // get the community blog 
    // check if its the front
    //IE Sucks! split returns different values in IE than all other broswers.  Replace starting slash and then split, to get a common object
    var front = document.location.pathname.replace(/^\/+/,'').split(/\//g);
    var bloghtml;  
    var communityFrontPage = ((front[0] == 'community' && !front[1]) || (front[0] == 'community' && front[1] == 'index.php'));
    var localizedFrontPage = ((front[1] == 'community' && !front[2]) || (front[1] == 'community' && front[2] == 'index.php'));
    if ( communityFrontPage || localizedFrontPage) {
    	switch(front[0]){
        case "community":
          bloghtml = "/blog/get";
          break;
        case "fr":
          bloghtml = "/fr/blog/get";
          break;
        case "de":
          bloghtml = "/de/blog/get";
          break;
      }
  	  $.get(bloghtml, function(data){
	      // Stuff the results into the dom to use find		  
	      var communityBlog = $(data);
	      if(communityBlog.is('#communityBlogContainer')){
	    	  $('#flashHeader').after(communityBlog);  
	      }
	    }, "json");
	    
    }
  } 
  else {
    superMenu();
    setLang();
  }
  regx = /(.*)(_nm\.)([^\.]{3,4})$/;
  $("img").each(function(){
    if (this.src.match(regx)){
      preLoadImg(this.src.replace(/_nm/, "_hv"));
      $(this).hover(function(){
        this.src = this.src.replace(/_nm/, "_hv");
      }, function(){
        this.src = this.src.replace(/_hv/, "_nm")
      });
    }
  });  

  if(!Modernizr.borderimage){
    slice.elements();
    $(document).ajaxComplete(slice.elements);
  }
  
  //adds class to security error messages for css
  if($('.secretQuestions, .securityKey').length){
    $('div.messages.error').addClass('securityError');
  }

  //nucleus check
  $('.nucleusHelp').click(function(){
    $.fancybox({content:$('.nucleusHelpHolder').html()
      , 'overlayColor' : '#090D1D'
      , 'overlayOpacity' : '0.8'
      , 'centerOnScroll'    : true
      , 'titleShow'         : false
      , 'padding'           : 0
      , 'scrolling'         : 'no'
      , 'onComplete' : function(){sIFR.replace(klavika,{selector: '#fancybox-inner .nucleusHelpTitle  h1', wmode: 'transparent', css: ['.sIFR-root { font-size:12px; color:#FFFFFF; text-transform:uppercase; }']});}
     });
    return false;
  });
  $('.nucleusHelpClose,.nucleusHelpOk').live('click', function(){
    $.fancybox.close();
    return false;
  });

});
function preLoadImg(imgSrc) { 
  var prel = new Image(); 
  prel.src = imgSrc; 
} 
function setLang(){
  $("#language-selector li").removeClass("active").filter("."+pathPrefix).addClass("active");
}
function header_wait() {
  if($("#nice-menu-1").length <= 0) { 
    window.setTimeout(header_wait,500);
  } else { 
    fansiteUpdatedDate(); 
  }
}
function fansiteUpdatedDate(){
  if($("span.resultAuthor").length > 0 && $("span.fankitUpdated").length > 0){
    $("span.fankitUpdated").appendTo("span#fansiteKit a");
    $("span.fankitUpdated").each(function(i){
      (i == 0) ? $(this).remove() : $(this).show();
    });
  }
}
function superMenu(){
  $("ul#nice-menu-1 li, ul#nice-menu-2 li, ul#nice-menu-3 li").each(
    function (){
      var botSelector = '#' + this.id + ' li:last';
      var topSelector = '#' + this.id + ' li:first';
      var notBotSelector = '#' + this.id + ' li:not(:last)';
      $(topSelector).prepend('<div class="listtop"></div>');
      $(notBotSelector).append('<div class="subdiv"></div>');
      $(botSelector).append('<div class="listbot"></div>');
  });

  $("ul#language-selector li").each(function (){
      if ($(this).hasClass("en")) {
        var enhref = document.location.href.split(/\//);
        enhref = enhref.pop();
        
        $(this).children("a").mousedown(function(event) {
          switch (event.which) {
              case 1:
                createCookie('bblanguageid', '1', 2);
                return !$(this).is(".active");
              break;
              case 2:
                createCookie('bblanguageid', '1', 2);
                return !$(this).is(".active");
              break;
          }
        });

        if (document.location.href.match(/\/community\//) && enhref != 'community'){
          $(this).children("a").attr("href", "/community/" + enhref);
        }
      }
      if ($(this).hasClass("fr")) {
        var frhref = document.location.href.split(/\//);
        frhref = frhref.pop();
        $(this).children("a").mousedown(function(event) {
          switch (event.which) {
              case 1:
                createCookie('bblanguageid', '2', 2);
                return !$(this).is(".active");
              break;
              case 2:
                createCookie('bblanguageid', '2', 2);
                return !$(this).is(".active");
              break;
          }
        });
        if (document.location.href.match(/\/community\//) && frhref != 'community'){
          $(this).children("a").attr("href", "/fr/community/" + frhref);
        }
      }
      if ($(this).hasClass("de")) {
        var dehref = document.location.href.split(/\//);
        dehref = dehref.pop();
        $(this).children("a").mousedown(function(event) {
          switch (event.which) {
              case 1:
                createCookie('bblanguageid', '3', 2);
                return !$(this).is(".active");
              break;
              case 2:
                createCookie('bblanguageid', '3', 2);
                return !$(this).is(".active");
              break;
          }
        });
        if (document.location.href.match(/\/community\//) && dehref != 'community'){
          $(this).children("a").attr("href", "/de/community/" + dehref);
        }
      }
  });

  $(".languages a:first").attr("href","#");

  // Hovering over the menu should light up the button of the section
  $("ul#nice-menu-1 li, ul#nice-menu-2 li, ul#nice-menu-3 li").hover(
    function(){
      $(this).children("a").css("background-position","bottom");
    },
    function(){
      $(this).children("a").css("background-position","top");
    });

  // Menu Animations
  if(!$.browser.msie) {
    $("#nice-menu-1,#nice-menu-2,#nice-menu-3").find(">li").each(function(){
      var ul = $(this).children("ul").hide().css({visibility:"visible",opacity:0.1});
      var t = ul.css("top").match(/\d+/)[0];
      var show = function(){ ul.stop().show().css({top:(t-12)}).animate({top:13,opacity:1},150); };
      var hide = function(){ ul.stop().animate({top:"+=10",opacity:0.1},150,function(){ ul.hide(); }); };
      $(this).mouseenter(show).mouseleave(hide);
      $(this).children("ul").css({marginTop:25}).find("li:has(ul)").each(function(){
        var ul = $(this).children("ul").hide().css({visibility:"visible",opacity:0.1});
        var left,l = function(){ return left || (left=ul.css("left").match(/\d+/)[0]); };
        var show = function(){ ul.stop().show().css({left:l()-10}).animate({left:"+=10",opacity:1},150); };
        var hide = function(){ ul.stop().animate({left:"+=10",opacity:0.1},150,function(){ ul.hide(); }); };
        $(this).mouseenter(show).mouseleave(hide);
      });
    }).css({zIndex:7,position:"relative"});
  }

  if (document.location.hostname != "www.swtor.com" && !jQuery.browser.msie){
    var path = document.location.pathname.split(/\//);
    if (path[1] == 'fr' || path[1] == 'de'){
        pathprefix = '/' + path[1];
    } else {
        pathprefix = '';
    }
    $("li.community a:first, li.communaute a:first, li.forums a:first, li.foren a:first").attr("href", document.location.protocol + "//" + document.location.hostname + pathprefix + "/community/");
  } else if (document.location.hostname != "www.swtor.com" && jQuery.browser.msie){
    var path = document.location.pathname.split(/\//);
    if (path[0] == 'fr' || path[0] == 'de'){
        pathprefix = '/' + path[0];
    } else {
        pathprefix = '';
    }
    $("li.community a:first, li.communaute a:first, li.forums a:first, li.foren a:first").attr("href", document.location.protocol + "//" + document.location.hostname + pathprefix + "/community/");
  }
  
  if (document.location.search.match(/\?do=(post|update)/) && document.location.pathname.search(/\/community\//) != -1){
    $("#language-selector").remove();
  }

}
function oldIE(){
  if (jQuery.browser.msie && parseInt(jQuery.browser.version) < 7) {
    return true;
  }
}
function IE7(){
  var version = parseInt(jQuery.browser.version);
  if (jQuery.browser.msie && version >= 7 && version < 8) {
    return true;
  }
}

function readCookie(name) {
  var nameEQ = name + "=";
  var ca = document.cookie.split(';');
  for(var i=0;i < ca.length;i++) {
    var c = ca[i];
    while (c.charAt(0)==' ') c = c.substring(1,c.length);
    if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
  }
  return null;
}

function createCookie(name,value,days) {
  if (days) {
    var date = new Date();
    date.setTime(date.getTime()+(days*24*60*60*1000));
    var expires = "; expires="+date.toGMTString();
  }
  else var expires = "";
  var domain = document.domain;
  document.cookie = name+"="+value+expires+"; path=/" + "; domain=." + domain.replace(/^(account|www)\./i,"");
}

function eraseCookie(name) {
  createCookie(name,"",-1);
}

var pathPrefix = document.location.pathname.match(/\/(de|fr)(\/|$)/);
pathPrefix = pathPrefix?pathPrefix[1]:'en';
var cookie = readCookie('swtor-tos-update');
switch (pathPrefix) {
  //English
  case 'en':
    if (cookie && document.location.pathname.search(/\/user\/terms\/accept?destination=/) == -1 && document.location.search.search(/\?destination=/) == -1) {
      document.location.href='/user/terms/accept?destination=' + cookie;
    }
    break;
  //French
  case 'fr':
    if (cookie && document.location.pathname.search(/\/fr\/utilisateur\/limites\/acceptez?destination=/) == -1 && document.location.search.search(/\?destination=/) == -1) {
      document.location.href='/fr/utilisateur/limites/acceptez?destination=' + cookie;
    }
    break;
  // German
  case 'de':
    if (cookie && document.location.pathname.search(/\/de\/benutzer\/ausdrucke\/genehmigensie?destination=/) == -1 && document.location.search.search(/\?destination=/) == -1) {
      document.location.href='/de/benutzer/ausdrucke/genehmigensie?destination=' + cookie;
    }
    break;
}

var sqaCookie = readCookie('swtor-sqa-answer');
switch (pathPrefix) {
  //English
  case 'en':
    if (sqaCookie && document.location.pathname.search(/\/user\/security-questions?destination=|\/info\/faq|\/user\/terms\/accept?destination=/) == -1 && document.location.search.search(/\?destination=/) == -1) {
      document.location.href='/user/security-questions?destination=' + sqaCookie;
    }
    break;
  //French
  case 'fr':
    if (sqaCookie && document.location.pathname.search(/\/fr\/utilisateur\/questions-securite?destination=|\/fr\/lejeu\/faq|\/fr\/utilisateur\/limites\/acceptez?destination=/) == -1 && document.location.search.search(/\?destination=/) == -1) {
      document.location.href='/fr/utilisateur/questions-securite?destination=' + sqaCookie;
    }
    break;
  // German
  case 'de':
    if (sqaCookie && document.location.pathname.search(/\/de\/benutzer\/sicherheitsfragen?destination=|\/de\/spielinfo\/faq|\/de\/benutzer\/ausdrucke\/genehmigensie?destination=/) == -1 && document.location.search.search(/\?destination=/) == -1) {
      document.location.href='/de/benutzer/sicherheitsfragen?destination=' + sqaCookie;
    }
    break;
}

function showClose(){
  $("#fancybox-close").show();
}

function blueBgShow(){
  flashHide();
  $("#fancybox-wrap").height($("#fancybox-inner").height('auto').height()); //adjusted height
  $("#fancybox-inner").height("100%");
  $(window).trigger("resize"); //recenter box
  $("div#fancybox-outer").addClass("bluebg");
}

function blueBgHide(){
  flashShow();
  $("div#fancybox-outer").removeClass("bluebg");
}

function flashHide(){
  $('embed, object').each(function(){
    if (!$(this).parent().parent().hasClass('vids')){
      $(this).css('visibility', 'hidden');
    }
  });
}

function flashShow(){
  $('embed, object').each(function(){
    if (!$(this).parent().parent().hasClass('vids')){
      $(this).css('visibility', 'visible');
    }
  });
}

/* Gracefully hide console calls */
(function(){
 try{ window.console = window.console || {}} catch(err){};
  var names = "log debug info warn error assert dir dirxml group groupEnd time timeEnd count trace profile profileEnd".split(" ");
  var EmptyFn = function(){};
  $.each(names,function(i,name){ window.console[name] = window.console[name] || EmptyFn; });
})();

function gup(name){
  name = name.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
  var regexS = "[\\?&]"+name+"=([^&#]*)";
  var regex = new RegExp( regexS );
  var results = regex.exec( window.location.href );
  if( results == null ){
    return "";
  } else {
    return results[1];
  }
}

function isset () {
    // +   original by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
    var a=arguments, l=a.length, i=0;
    
    if (l===0) {
        throw new Error('Empty isset'); 
    }
    
    while (i!==l) {
        if (typeof(a[i])=='undefined' || a[i]===null) { 
            return false; 
        } else { 
            i++; 
        }
    }
    return true;
}
// In array function similar to the PHP equiv
function in_array(needle, haystack, argStrict) {
    // http://kevin.vanzonneveld.net
    // +   original by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
    var found = false, key, strict = !!argStrict;
    for (key in haystack) {
        if ((strict && haystack[key] === needle) || (!strict && haystack[key] == needle)) {
            found = true;
            break;
        }
    }
    return found;
}

// Added to remove IE flash bug with ExternalInterface
// ref: http://bugs.adobe.com/jira/browse/FP-529
if (window.attachEvent) {
  window.attachEvent("onunload", function () {
    window["__flash__removeCallback"] = function (instance, name) {
      return;
    };
  });
}


//countdown code - only in Drupal (avoid vbulletin)
if("undefined" != typeof(Drupal)){
  
  Drupal.behaviors.countdown = function(context){
    $('.howManyCharacters').each(function(i){
      var timer, span = $(this).find('span')
        , current, remaining, area = $(this).prev('textarea[maxlength]')
        , currentremain = function(){
            current = area.val().length;
            remaining = max - current;
            if(remaining < 0){
              area.val( area.val().substr(0,max) );
              remaining = 0;
              current = max;
            }
          }
        , update = function(){ currentremain(); span.html(remaining); timer=false; };
      if(!area.length){ return }
      var max = area.attr('maxlength');
      area.bind("keydown blur focus", function(e){
        currentremain();
        if(remaining == 0 && !e.ctrlKey && !e.altKey && e.keyCode != 8 && e.keyCode != 46){ return false; }
        if(!timer){ timer = setTimeout(update,50); }
      });
    }).prev('textarea').trigger("blur");
  }
  
  Drupal.behaviors.infractlinks = function(context){
    $('.picture').hover(function(i){ $('a.infract-this-user', $(this)).slideDown(); }, function(i){ $('a.infract-this-user', $(this)).slideUp(); });
  }
}

function checkLength(countMe) {
    var escapedStr = encodeURI(countMe)
    if (escapedStr.indexOf("%") != -1) {
        var count = escapedStr.split("%").length - 1;
        if (count == 0) count++; //perverse case; can't happen with real UTF-8
        var tmp = escapedStr.length - (count * 3);
        count = count + tmp;
    } else {
        count = escapedStr.length;
    }
    //count all linebreaks twice since what's passed to drupal is a \r\n which counts as two characters but js only sees \n
    var linebreaks = countMe.split(/\n|\f/).length - 1;
    if($.browser.msie) {
      var spacecount = escapedStr.split("%0A").length - 1;
      var count = count + linebreaks + spacecount;
    }
    else {
      var count = count + linebreaks;
    }
    return count;
 }


function display_overlay(overlay) {
  var overlayDiv = document.getElementById(overlay);
  var overlayHTML = overlayDiv.innerHTML;
  
  $.fancybox({'content' : overlayHTML
      , 'overlayColor' : '#090D1D'
      , 'overlayOpacity' : 0.8
      , 'centerOnScroll' : true
      , 'titleShow' : false
      , 'padding' : 0
      , 'autoDimensions' : false
      , 'scrolling' : 'no'
      , 'autoScale' : 'no'
      , 'width' : 500
      , 'height' : 700
    });
}

//user for guiders help

if(typeof(Drupal)!='undefined'){
	Drupal.behaviors.showHelper = function(context){	
	  $('.securityKeyHelp').each(function(){
	    var _this = $(this), 
	      contentDiv = $('#' + _this.attr('data-type')),  
	      content = contentDiv.html(),
	      helperId = _this.attr('data-type') + '-helper';
	    
	    guiders.createGuider({
	      description: content,
	      id: helperId,
	      overlay: false,
	      attachTo: _this,
	      position: 3,
	      showButton: false,    
	      offset: {top:null, left:15}
	    });
	    _this.click(function(){ 
	    	guiders.hideAll();
	    	guiders.show(helperId);
	    	this.focus();
	    	return false;
	    });
	    _this.blur(function(){
	        guiders.hideAll();
	      });
	    $(window).resize(function(){ 
	        $('.guider:visible').each(function(){
	        	var id = $(this).attr('id');
	            guiders.show(id);
	        }) 
	    })
	    
	  });
	}
}
